"use strict";
cc._RF.push(module, 'cfb57NavsVB06mORb7dDZw0', 'Main');
// Script/Main.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var Main = (function (_super) {
    __extends(Main, _super);
    function Main() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Main.prototype.onLoad = function () {
    };
    Main.prototype.start = function () {
        var uiCanvas = cc.find("Canvas");
        var btn1 = uiCanvas.getChildByName("Btn1").getComponent(cc.Button);
        btn1.node.on("click", this.onConnect.bind(this));
    };
    /**
     *执行Socket连接
    */
    Main.prototype.onConnect = function () {
        console.log(">-执行Socket连接1");
        this._socket = new WebSocket("ws://192.168.2.199:7000");
        this._socket.binaryType = "arraybuffer";
        this._socket.onmessage = this.onMessage.bind(this);
        this._socket.onerror = this.onError.bind(this);
        this._socket.onclose = this.onClose.bind(this);
        this._socket.onopen = this.onOpen.bind(this);
        console.log(">-执行Socket连接2");
    };
    /**
     *Socket连接成功
     */
    Main.prototype.onOpen = function (evt) {
        console.log(">-WebSocket onOpen");
    };
    /**
     *Socket连接错误
     */
    Main.prototype.onError = function (evt) {
        console.log(">-WebSocket onError");
    };
    /**
     *Socket连接关闭
     */
    Main.prototype.onClose = function (evt) {
        console.log(">-WebSocket onClose");
    };
    /**
     * 收到数据
     */
    Main.prototype.onMessage = function (evt) {
        console.log(">-WebSocket onMessage byteLength:" + evt.data.byteLength);
    };
    return Main;
}(cc.Component));
Main = __decorate([
    ccclass
], Main);
exports.default = Main;

cc._RF.pop();